# IShRasterLayer.h File Reference

## Classes
struct | IYeildCallBackFunc
class | TMCLayerDataReader< Tsize >
struct | IShRasterLayerTileIterator
class | IShRasterLayerTileIterator::TTileReader< Tsize >
| Undocumented. More...
struct | IShRasterLayerChannelIterator
struct | IShRasterLayer
class | IShRasterLayer::TRGBTileReader
| Undocumented. More...
class | IShRasterLayer::TRGBATileReader
| Undocumented. More...
class | IShRasterLayer::TCMYKTileReader
| Undocumented. More...
class | IShRasterLayer::TCMYKATileReader
| Undocumented. More...
class | IShRasterLayerUpdateInfo
## Typedefs
typedef uint | TLayerChannelKind
## Enumerations
enum | ELayerChannelKind { kLayerChannelKindNone = 0, kLayerChannelKindRGB = 1, kLayerChannelKindAlpha = 2, kLayerChannelKindRGBA = 3, kLayerChannelKindCMYK = 4, kLayerChannelKindCMYKA = 5, kLayerChannelKindOther = 6 }
## Functions
| MCDEFINE_GUID (IID_IShRasterLayer, 0x5fcfcd92, 0x67b7, 0x11d2, 0xb8, 0xa2, 0x0, 0x10, 0x4b, 0x2c, 0x90, 0x11)
| MCDEFINE_GUID (IID_IShRasterLayerChannelIterator, 0xe231b7c0, 0xcda9, 0x11d2, 0x93, 0x1, 0x0, 0x10, 0x4b, 0xcd, 0x40, 0x9a)
| MCDEFINE_GUID (IID_IShRasterLayerTileIterator, 0x4c23a50, 0x361e, 0x11d2, 0xb8, 0x7f, 0x0, 0x10, 0x4b, 0x2c, 0x90, 0x11)
| MCDEFINE_GUID (IID_IShRasterLayerUpdateInfo, 0x57f13d40, 0x790d, 0x11d2, 0xbc, 0x3, 0x0, 0x10, 0x4b, 0x2d, 0x8e, 0x5d)

## Typedef Documentation

typedef uint TLayerChannelKind

## Enumeration Type Documentation

enum ELayerChannelKind

Enumerator:

  kLayerChannelKindNone |
  kLayerChannelKindRGB |
  kLayerChannelKindAlpha |
  kLayerChannelKindRGBA |
  kLayerChannelKindCMYK |
  kLayerChannelKindCMYKA |
  kLayerChannelKindOther |

## Function Documentation

MCDEFINE_GUID | ( | IID_IShRasterLayerUpdateInfo | ,
|  | 0x57f13d40 | ,
|  | 0x790d | ,
|  | 0x11d2 | ,
|  | 0xbc | ,
|  | 0x3 | ,
|  | 0x0 | ,
|  | 0x10 | ,
|  | 0x4b | ,
|  | 0x2d | ,
|  | 0x8e | ,
|  | 0x5d |  |
| ) |  |  |

MCDEFINE_GUID | ( | IID_IShRasterLayerTileIterator | ,
|  | 0x4c23a50 | ,
|  | 0x361e | ,
|  | 0x11d2 | ,
|  | 0xb8 | ,
|  | 0x7f | ,
|  | 0x0 | ,
|  | 0x10 | ,
|  | 0x4b | ,
|  | 0x2c | ,
|  | 0x90 | ,
|  | 0x11 |  |
| ) |  |  |

MCDEFINE_GUID | ( | IID_IShRasterLayerChannelIterator | ,
|  | 0xe231b7c0 | ,
|  | 0xcda9 | ,
|  | 0x11d2 | ,
|  | 0x93 | ,
|  | 0x1 | ,
|  | 0x0 | ,
|  | 0x10 | ,
|  | 0x4b | ,
|  | 0xcd | ,
|  | 0x40 | ,
|  | 0x9a |  |
| ) |  |  |

MCDEFINE_GUID | ( | IID_IShRasterLayer | ,
|  | 0x5fcfcd92 | ,
|  | 0x67b7 | ,
|  | 0x11d2 | ,
|  | 0xb8 | ,
|  | 0xa2 | ,
|  | 0x0 | ,
|  | 0x10 | ,
|  | 0x4b | ,
|  | 0x2c | ,
|  | 0x90 | ,
|  | 0x11 |  |
| ) |  |  |